CAD Managers

Reply
Active Member
CADgeek
Posts: 10
Registered: ‎03-05-2008
Message 1 of 18 (238 Views)

"ZE" command

238 Views, 17 Replies
07-10-2008 09:44 AM
I have a CAD user that insists on only using one method of zooming, and suddenly that method stopped working when we started having database issues. Can anyone explain why a command would suddenly stop working?
*DougK
Message 2 of 18 (238 Views)

Re: "ZE" command

07-10-2008 10:17 AM in reply to: CADgeek
ZE is not a command, but most likely a macro or keyboard shortcut that calls the "zoom" (and then)
"extents" command

the file (or path to it) containing the shortcut was probably lost during the "database issues".



wrote in message news:5978426@discussion.autodesk.com...
I have a CAD user that insists on only using one method of zooming, and suddenly that method stopped
working when we started having database issues. Can anyone explain why a command would suddenly stop
working?
*Matt Stachoni
Message 3 of 18 (238 Views)

Re: "ZE" command

07-10-2008 11:53 AM in reply to: CADgeek
On Thu, 10 Jul 2008 16:44:03 +0000, CADgeek <> wrote:

>I have a CAD user that insists on only using one method of zooming, and suddenly that method stopped working when we started having database issues. Can anyone explain why a command would suddenly stop working?

I dunno, but since apparently your CAD user stopped working long ago, I guess
the ZE command figured it did not have to work anymore either.

Matt
mstachoni@verizon.net
mstachoni@bhhtait.com
*Rick Thoms
Message 4 of 18 (238 Views)

Re: "ZE" command

07-11-2008 08:04 AM in reply to: CADgeek
Here are some keyboard shortcuts that I use. Put it in your acad.lsp file
and make sure to put it in your "startup suite" and then load.

;;;===== Nested Command Aliases =====

(defun C:zw ()(command "zoom" "window")(princ))
(defun C:ze ()(command "zoom" "extents")(princ))
(defun C:zx ()(command "zoom" ".8x")(princ))
(defun C:zd ()(command "zoom" "dynamic")(princ))
(defun C:zi()(command "zoom" "1.5x")(princ))
(defun C:zo()(command "zoom" ".5x")(princ))
(defun C:zp()(command "zoom" "P")(princ))
(defun C:leadr()(command "leadr")(princ))
(defun C:bkvlays()(command "bkvlays")(princ))
(defun t:CHT() (command "chtext")(princ))
(defun t:datestamp() (command "datestamp")(princ))
(defun t:apptype() (command "apptype")(princ))
(defun C:if() (command "imageframe" "off" "")
;;; ===== AutoLoad =====

;;; ===== AutoLoad =====









"Matt Stachoni" wrote in message
news:5978586@discussion.autodesk.com...
On Thu, 10 Jul 2008 16:44:03 +0000, CADgeek <> wrote:

>I have a CAD user that insists on only using one method of zooming, and
>suddenly that method stopped working when we started having database
>issues. Can anyone explain why a command would suddenly stop working?

I dunno, but since apparently your CAD user stopped working long ago, I
guess
the ZE command figured it did not have to work anymore either.

Matt
mstachoni@verizon.net
mstachoni@bhhtait.com
Distinguished Contributor
C O Jones
Posts: 1,635
Registered: ‎01-20-2006
Message 5 of 18 (238 Views)

Re: "ZE" command

07-11-2008 08:33 AM in reply to: CADgeek
Rick,
I am familiar with the "(defun C:..." but what is the
"(defun t:..." function?

Thanks,
CO
Distinguished Contributor
dxarhoulakos
Posts: 330
Registered: ‎04-12-2006
Message 6 of 18 (238 Views)

Re: "ZE" command

07-11-2008 08:49 AM in reply to: CADgeek
Thats interesting. I haven't used those zoom commands in years...since i got a wheel mouse.
*Rick Thoms
Message 7 of 18 (238 Views)

Re: "ZE" command

07-11-2008 08:52 AM in reply to: CADgeek
I don't know what that means, I got this from our old IT guy who left the
firm. He is a whiz at this stuff.
Rick

wrote in message news:5979507@discussion.autodesk.com...
Rick,
I am familiar with the "(defun C:..." but what is the
"(defun t:..." function?

Thanks,
CO
*Matt Stachoni
Message 8 of 18 (238 Views)

Re: "ZE" command

07-11-2008 12:33 PM in reply to: CADgeek
On Fri, 11 Jul 2008 15:33:25 +0000, C O Jones <> wrote:

>Rick,
>I am familiar with the "(defun C:..." but what is the
>"(defun t:..." function?

What's weirer is that the "commands" those functions are calling aren't real
AutoCAD commands.

Matt
mstachoni@verizon.net
mstachoni@bhhtait.com
*Jason Piercey
Message 9 of 18 (238 Views)

Re: "ZE" command

07-11-2008 12:38 PM in reply to: CADgeek
This one's especially useful as a shortcut.


> (defun C:bkvlays()(command "bkvlays")(princ))


"Matt Stachoni" wrote in message
news:5979848@discussion.autodesk.com...
What's weirer is that the "commands" those functions are calling aren't real
AutoCAD commands.
*Princess Jamie
Message 10 of 18 (238 Views)

Re: "ZE" command

07-14-2008 06:29 AM in reply to: CADgeek
I think this one is more useful

(defun t:datestamp() (command "datestamp")(princ))


to access this you need to type

(t:datestamp)



Jamie



"Jason Piercey" wrote in message
news:5979834@discussion.autodesk.com...
This one's especially useful as a shortcut.


> (defun C:bkvlays()(command "bkvlays")(princ))


"Matt Stachoni" wrote in message
news:5979848@discussion.autodesk.com...
What's weirer is that the "commands" those functions are calling aren't real
AutoCAD commands.
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Manufacturing CAD & IT Manager Resource
Additional information for installing, licensing & deploying Inventor, the Product Design Suites and Factory Design Suites.